Bug 435494 - Timeout error starting MySQL when using non-default socket file value (fix provided)
Timeout error starting MySQL when using non-default socket file value (fix pr...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: mysql (Show other bugs)
5.0
All Linux
low Severity high
: rc
: ---
Assigned To: Tom Lane
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-29 13:13 EST by Jonas S.
Modified: 2015-02-20 10:03 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 05:46:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jonas S. 2008-02-29 13:13:45 EST
Description of problem:

If a new socket file that is not the default value is specified in /etc/my.cnf, 
the MySQL service will give the following error on start, even though it has 
started correctly:

Starting MySQL:                                            [FAILED]

Version-Release number of selected component (if applicable):

mysql-5.0.22-2.2.el5_1.1

How reproducible:

always

Steps to Reproduce:
1. change the socketfile to a nondefault value in /my.cnf
2. run "service mysqld start"
  
Actual results:

the daemon starts but the "service" command fails with a timeout because the 
pinging is incorrectly done.

Expected results:

ping should be done correctly, and "service" should return succesfully

Additional info:

This is an easy fix, replace the following line:

RESPONSE=`/usr/bin/mysqladmin -uUNKNOWN_MYSQL_USER ping 2>&1` && break

with...

RESPONSE=`/usr/bin/mysqladmin -S$socketfile -uUNKNOWN_MYSQL_USER ping 2>&1` && 
break
Comment 1 Jonas S. 2008-02-29 13:15:21 EST
I forgot to mention that the last fix has to be applied to the startup script: /
etc/init.d/mysqld
Comment 2 Tom Lane 2008-03-03 18:51:00 EST
I've applied this fix in Fedora devel (so it'll be in F9, and probably also in the next F8 or F7 spins).  I can't 
promise much about when it'll get into RHEL5 though.
Comment 7 errata-xmlrpc 2009-09-02 05:46:16 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-1289.html

Note You need to log in before you can comment on or make changes to this bug.